Summary:        Skip tests when modules not available
Name:           perl-Test-Needs
Version:        0.002010
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-Needs
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HAARG/Test-Needs-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-interpreter perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(IPC::Open3) perl(lib) perl(strict)
BuildRequires:  perl(version) perl(warnings)
BuildRequires:  perl(Test::Builder) perl(Test::More) >= 0.45
BuildRequires:  perl(Test2::API) perl(Test2::Event)

%{?perl_default_filter}

%description
Skip test scripts if modules are not available. The requested modules will
be loaded, and optionally have their versions checked. If the module is
missing, the test script will be skipped. Modules that are found but fail
to compile will exit with an error rather than skip.


%prep
%autosetup -n Test-Needs-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}


%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*


%check
%{make_build} test


%files
%doc Changes README
%{perl_vendorlib}/Test*
%{_mandir}/man3/Test*


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.002010-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.002010-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 02 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.002010-1
- Upgrade to upstream version 0.002010
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.002009-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.002009-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 15 2023 rockerzhu <rockerzhu@tencent.com> - 0.002009-1
- Initial build
